IMG_CloseAnimationDecoder(3)

NAME
IMG_CloseAnimationDecoder - Close an animation decoder, finishing any decoding.

SYNOPSIS
#include <SDL3_image/SDL_image.h>

bool IMG_CloseAnimationDecoder(IMG_AnimationDecoder *decoder);

DESCRIPTION
Calling this function frees the animation decoder, and returns the final status of the decoding process.

FUNCTION PARAMETERS

decoder
    the decoder to close.

RETURN VALUE
Returns true on success or false on failure; call SDL_GetError() for more information.

AVAILABILITY
This function is available since SDL_image 3.4.0.

SEE ALSO
IMG_CreateAnimationDecoder(3), IMG_CreateAnimationDecoder_IO(3), IMG_CreateAnimationDecoderWithProperties(3)